DIPlib Documentation - ©1995-2013 Quantitative Imaging Group, Delft University of Technology.

# GetSlice

Get a slice from an image

## SYNOPSIS

`#include "dip_manipulation.h"`

dip_Error dip_GetSlice ( in, out, cor, dim1, dim2 )

## DATA TYPES

binary, integer, float, complex

## FUNCTION

Get a orthogonal slice from a image. The requested slice is selected by specifying its upper left corner (`cor`) and on which dimensions of the image, the dimensions of the slice map (`dim1`, `dim2`). If `in` has a different type than `out`, it will be converted to the type of `out`.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in` | 3D Input Image
`dip_Image` | `out` | 2D Output Image
`dip_IntegerArray` | `cor` | Coordinate in `in` of the upper left corner of the slice
`dip_int` | `dim1` | Dimension of `in` on which the slice's first dimension maps
`dip_int` | `dim2` | Dimension of `in` on which the slice's second dimensionmaps

## SEE ALSO

`PutSlice`, `GetLine`, `PutLine`